aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcreate-deploy.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/create-deploy.sh b/create-deploy.sh
index 5c5057e..7d453a1 100755
--- a/create-deploy.sh
+++ b/create-deploy.sh
@@ -12,12 +12,17 @@ cat >dist/install.sh <<"EOF"
cd "$(dirname -- "$0")"
root="$PWD"
echo "Switched to $root"
-(
- cd systemd
+(cd systemd
for f in *; do
sed -e "s|SOURCE|$root|g" < "$f" > "/etc/systemd/system/$f"
done
)
+(cd rt
+ if ! [[ -d "$root"/rt/SimpleWordlists ]]; then
+ curl -L https://github.com/taikuukaits/SimpleWordlists/archive/master.tar.gz | tar -xzf-
+ mv SimpleWordlists{-master,}
+ fi
+)
)
EOF